<button mat-raised-button color="primary" (click)="commonMethod()">Calling Service From First Component</button>
<button mat-raised-button color="primary" (click)="logData()">Log Value</button>
<button mat-raised-button color="primary" (click)="setParentVal()">Set Parent Value</button>